| # Makefile.in generated by automake 1.14 from Makefile.am. |
| # @configure_input@ |
| |
| # Copyright (C) 1994-2013 Free Software Foundation, Inc. |
| |
| # This Makefile.in is free software; the Free Software Foundation |
| # gives unlimited permission to copy and/or distribute it, |
| # with or without modifications, as long as this notice is preserved. |
| |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY, to the extent permitted by law; without |
| # even the implied warranty of MERCHANTABILITY or FITNESS FOR A |
| # PARTICULAR PURPOSE. |
| |
| @SET_MAKE@ |
| |
| |
| |
| VPATH = @srcdir@ |
| am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)' |
| am__make_running_with_option = \ |
| case $${target_option-} in \ |
| ?) ;; \ |
| *) echo "am__make_running_with_option: internal error: invalid" \ |
| "target option '$${target_option-}' specified" >&2; \ |
| exit 1;; \ |
| esac; \ |
| has_opt=no; \ |
| sane_makeflags=$$MAKEFLAGS; \ |
| if $(am__is_gnu_make); then \ |
| sane_makeflags=$$MFLAGS; \ |
| else \ |
| case $$MAKEFLAGS in \ |
| *\\[\ \ ]*) \ |
| bs=\\; \ |
| sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \ |
| | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \ |
| esac; \ |
| fi; \ |
| skip_next=no; \ |
| strip_trailopt () \ |
| { \ |
| flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \ |
| }; \ |
| for flg in $$sane_makeflags; do \ |
| test $$skip_next = yes && { skip_next=no; continue; }; \ |
| case $$flg in \ |
| *=*|--*) continue;; \ |
| -*I) strip_trailopt 'I'; skip_next=yes;; \ |
| -*I?*) strip_trailopt 'I';; \ |
| -*O) strip_trailopt 'O'; skip_next=yes;; \ |
| -*O?*) strip_trailopt 'O';; \ |
| -*l) strip_trailopt 'l'; skip_next=yes;; \ |
| -*l?*) strip_trailopt 'l';; \ |
| -[dEDm]) skip_next=yes;; \ |
| -[JT]) skip_next=yes;; \ |
| esac; \ |
| case $$flg in \ |
| *$$target_option*) has_opt=yes; break;; \ |
| esac; \ |
| done; \ |
| test $$has_opt = yes |
| am__make_dryrun = (target_option=n; $(am__make_running_with_option)) |
| am__make_keepgoing = (target_option=k; $(am__make_running_with_option)) |
| pkgdatadir = $(datadir)/@PACKAGE@ |
| pkgincludedir = $(includedir)/@PACKAGE@ |
| pkglibdir = $(libdir)/@PACKAGE@ |
| pkglibexecdir = $(libexecdir)/@PACKAGE@ |
| am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd |
| install_sh_DATA = $(install_sh) -c -m 644 |
| install_sh_PROGRAM = $(install_sh) -c |
| install_sh_SCRIPT = $(install_sh) -c |
| INSTALL_HEADER = $(INSTALL_DATA) |
| transform = $(program_transform_name) |
| NORMAL_INSTALL = : |
| PRE_INSTALL = : |
| POST_INSTALL = : |
| NORMAL_UNINSTALL = : |
| PRE_UNINSTALL = : |
| POST_UNINSTALL = : |
| build_triplet = @build@ |
| host_triplet = @host@ |
| bin_PROGRAMS = iperf3$(EXEEXT) |
| noinst_PROGRAMS = t_timer$(EXEEXT) t_units$(EXEEXT) t_uuid$(EXEEXT) \ |
| iperf3_profile$(EXEEXT) |
| TESTS = t_timer$(EXEEXT) t_units$(EXEEXT) t_uuid$(EXEEXT) |
| subdir = src |
| DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \ |
| $(srcdir)/config.h.in $(top_srcdir)/config/mkinstalldirs \ |
| $(top_srcdir)/config/depcomp $(dist_man_MANS) \ |
| $(include_HEADERS) $(top_srcdir)/config/test-driver |
| ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 |
| am__aclocal_m4_deps = $(top_srcdir)/configure.ac |
| am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ |
| $(ACLOCAL_M4) |
| mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs |
| CONFIG_HEADER = config.h |
| CONFIG_CLEAN_FILES = |
| CONFIG_CLEAN_VPATH_FILES = |
| am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; |
| am__vpath_adj = case $$p in \ |
| $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ |
| *) f=$$p;; \ |
| esac; |
| am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`; |
| am__install_max = 40 |
| am__nobase_strip_setup = \ |
| srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'` |
| am__nobase_strip = \ |
| for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||" |
| am__nobase_list = $(am__nobase_strip_setup); \ |
| for p in $$list; do echo "$$p $$p"; done | \ |
| sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \ |
| $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \ |
| if (++n[$$2] == $(am__install_max)) \ |
| { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \ |
| END { for (dir in files) print dir, files[dir] }' |
| am__base_list = \ |
| sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \ |
| sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g' |
| am__uninstall_files_from_dir = { \ |
| test -z "$$files" \ |
| || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \ |
| || { echo " ( cd '$$dir' && rm -f" $$files ")"; \ |
| $(am__cd) "$$dir" && rm -f $$files; }; \ |
| } |
| am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \ |
| "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)" \ |
| "$(DESTDIR)$(includedir)" |
| LIBRARIES = $(lib_LIBRARIES) |
| ARFLAGS = cru |
| AM_V_AR = $(am__v_AR_@AM_V@) |
| am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@) |
| am__v_AR_0 = @echo " AR " $@; |
| am__v_AR_1 = |
| libiperf_a_AR = $(AR) $(ARFLAGS) |
| libiperf_a_LIBADD = |
| am_libiperf_a_OBJECTS = cjson.$(OBJEXT) iperf_api.$(OBJEXT) \ |
| iperf_error.$(OBJEXT) iperf_client_api.$(OBJEXT) \ |
| iperf_server_api.$(OBJEXT) iperf_tcp.$(OBJEXT) \ |
| iperf_udp.$(OBJEXT) iperf_sctp.$(OBJEXT) iperf_util.$(OBJEXT) \ |
| locale.$(OBJEXT) net.$(OBJEXT) tcp_info.$(OBJEXT) \ |
| tcp_window_size.$(OBJEXT) timer.$(OBJEXT) units.$(OBJEXT) |
| libiperf_a_OBJECTS = $(am_libiperf_a_OBJECTS) |
| PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS) |
| am_iperf3_OBJECTS = iperf3-main.$(OBJEXT) |
| iperf3_OBJECTS = $(am_iperf3_OBJECTS) |
| iperf3_DEPENDENCIES = libiperf.a |
| AM_V_lt = $(am__v_lt_@AM_V@) |
| am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@) |
| am__v_lt_0 = --silent |
| am__v_lt_1 = |
| iperf3_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(iperf3_CFLAGS) $(CFLAGS) \ |
| $(iperf3_LDFLAGS) $(LDFLAGS) -o $@ |
| am__objects_1 = iperf3_profile-cjson.$(OBJEXT) \ |
| iperf3_profile-iperf_api.$(OBJEXT) \ |
| iperf3_profile-iperf_error.$(OBJEXT) \ |
| iperf3_profile-iperf_client_api.$(OBJEXT) \ |
| iperf3_profile-iperf_server_api.$(OBJEXT) \ |
| iperf3_profile-iperf_tcp.$(OBJEXT) \ |
| iperf3_profile-iperf_udp.$(OBJEXT) \ |
| iperf3_profile-iperf_sctp.$(OBJEXT) \ |
| iperf3_profile-iperf_util.$(OBJEXT) \ |
| iperf3_profile-locale.$(OBJEXT) iperf3_profile-net.$(OBJEXT) \ |
| iperf3_profile-tcp_info.$(OBJEXT) \ |
| iperf3_profile-tcp_window_size.$(OBJEXT) \ |
| iperf3_profile-timer.$(OBJEXT) iperf3_profile-units.$(OBJEXT) |
| am_iperf3_profile_OBJECTS = iperf3_profile-main.$(OBJEXT) \ |
| $(am__objects_1) |
| iperf3_profile_OBJECTS = $(am_iperf3_profile_OBJECTS) |
| iperf3_profile_DEPENDENCIES = libiperf.a |
| iperf3_profile_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \ |
| $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \ |
| $(iperf3_profile_CFLAGS) $(CFLAGS) $(iperf3_profile_LDFLAGS) \ |
| $(LDFLAGS) -o $@ |
| am_t_timer_OBJECTS = t_timer-t_timer.$(OBJEXT) |
| t_timer_OBJECTS = $(am_t_timer_OBJECTS) |
| t_timer_DEPENDENCIES = libiperf.a |
| t_timer_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(t_timer_CFLAGS) \ |
| $(CFLAGS) $(t_timer_LDFLAGS) $(LDFLAGS) -o $@ |
| am_t_units_OBJECTS = t_units-t_units.$(OBJEXT) |
| t_units_OBJECTS = $(am_t_units_OBJECTS) |
| t_units_DEPENDENCIES = libiperf.a |
| t_units_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(t_units_CFLAGS) \ |
| $(CFLAGS) $(t_units_LDFLAGS) $(LDFLAGS) -o $@ |
| am_t_uuid_OBJECTS = t_uuid-t_uuid.$(OBJEXT) |
| t_uuid_OBJECTS = $(am_t_uuid_OBJECTS) |
| t_uuid_DEPENDENCIES = libiperf.a |
| t_uuid_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(t_uuid_CFLAGS) $(CFLAGS) \ |
| $(t_uuid_LDFLAGS) $(LDFLAGS) -o $@ |
| AM_V_P = $(am__v_P_@AM_V@) |
| am__v_P_ = $(am__v_P_@AM_DEFAULT_V@) |
| am__v_P_0 = false |
| am__v_P_1 = : |
| AM_V_GEN = $(am__v_GEN_@AM_V@) |
| am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) |
| am__v_GEN_0 = @echo " GEN " $@; |
| am__v_GEN_1 = |
| AM_V_at = $(am__v_at_@AM_V@) |
| am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) |
| am__v_at_0 = @ |
| am__v_at_1 = |
| DEFAULT_INCLUDES = -I.@am__isrc@ |
| depcomp = $(SHELL) $(top_srcdir)/config/depcomp |
| am__depfiles_maybe = depfiles |
| am__mv = mv -f |
| COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ |
| $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) |
| LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \ |
| $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \ |
| $(AM_CFLAGS) $(CFLAGS) |
| AM_V_CC = $(am__v_CC_@AM_V@) |
| am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@) |
| am__v_CC_0 = @echo " CC " $@; |
| am__v_CC_1 = |
| CCLD = $(CC) |
| LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \ |
| $(AM_LDFLAGS) $(LDFLAGS) -o $@ |
| AM_V_CCLD = $(am__v_CCLD_@AM_V@) |
| am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@) |
| am__v_CCLD_0 = @echo " CCLD " $@; |
| am__v_CCLD_1 = |
| SOURCES = $(libiperf_a_SOURCES) $(iperf3_SOURCES) \ |
| $(iperf3_profile_SOURCES) $(t_timer_SOURCES) \ |
| $(t_units_SOURCES) $(t_uuid_SOURCES) |
| DIST_SOURCES = $(libiperf_a_SOURCES) $(iperf3_SOURCES) \ |
| $(iperf3_profile_SOURCES) $(t_timer_SOURCES) \ |
| $(t_units_SOURCES) $(t_uuid_SOURCES) |
| am__can_run_installinfo = \ |
| case $$AM_UPDATE_INFO_DIR in \ |
| n|no|NO) false;; \ |
| *) (install-info --version) >/dev/null 2>&1;; \ |
| esac |
| man1dir = $(mandir)/man1 |
| man3dir = $(mandir)/man3 |
| NROFF = nroff |
| MANS = $(dist_man_MANS) |
| HEADERS = $(include_HEADERS) |
| am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \ |
| $(LISP)config.h.in |
| # Read a list of newline-separated strings from the standard input, |
| # and print each of them once, without duplicates. Input order is |
| # *not* preserved. |
| am__uniquify_input = $(AWK) '\ |
| BEGIN { nonempty = 0; } \ |
| { items[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in items) print i; }; } \ |
| ' |
| # Make sure the list of sources is unique. This is necessary because, |
| # e.g., the same source file might be shared among _SOURCES variables |
| # for different programs/libraries. |
| am__define_uniq_tagged_files = \ |
| list='$(am__tagged_files)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | $(am__uniquify_input)` |
| ETAGS = etags |
| CTAGS = ctags |
| am__tty_colors_dummy = \ |
| mgn= red= grn= lgn= blu= brg= std=; \ |
| am__color_tests=no |
| am__tty_colors = { \ |
| $(am__tty_colors_dummy); \ |
| if test "X$(AM_COLOR_TESTS)" = Xno; then \ |
| am__color_tests=no; \ |
| elif test "X$(AM_COLOR_TESTS)" = Xalways; then \ |
| am__color_tests=yes; \ |
| elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \ |
| am__color_tests=yes; \ |
| fi; \ |
| if test $$am__color_tests = yes; then \ |
| red='[0;31m'; \ |
| grn='[0;32m'; \ |
| lgn='[1;32m'; \ |
| blu='[1;34m'; \ |
| mgn='[0;35m'; \ |
| brg='[1m'; \ |
| std='[m'; \ |
| fi; \ |
| } |
| am__recheck_rx = ^[ ]*:recheck:[ ]* |
| am__global_test_result_rx = ^[ ]*:global-test-result:[ ]* |
| am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]* |
| # A command that, given a newline-separated list of test names on the |
| # standard input, print the name of the tests that are to be re-run |
| # upon "make recheck". |
| am__list_recheck_tests = $(AWK) '{ \ |
| recheck = 1; \ |
| while ((rc = (getline line < ($$0 ".trs"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| { \ |
| if ((getline line2 < ($$0 ".log")) < 0) \ |
| recheck = 0; \ |
| break; \ |
| } \ |
| else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \ |
| { \ |
| recheck = 0; \ |
| break; \ |
| } \ |
| else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \ |
| { \ |
| break; \ |
| } \ |
| }; \ |
| if (recheck) \ |
| print $$0; \ |
| close ($$0 ".trs"); \ |
| close ($$0 ".log"); \ |
| }' |
| # A command that, given a newline-separated list of test names on the |
| # standard input, create the global log from their .trs and .log files. |
| am__create_global_log = $(AWK) ' \ |
| function fatal(msg) \ |
| { \ |
| print "fatal: making $@: " msg | "cat >&2"; \ |
| exit 1; \ |
| } \ |
| function rst_section(header) \ |
| { \ |
| print header; \ |
| len = length(header); \ |
| for (i = 1; i <= len; i = i + 1) \ |
| printf "="; \ |
| printf "\n\n"; \ |
| } \ |
| { \ |
| copy_in_global_log = 1; \ |
| global_test_result = "RUN"; \ |
| while ((rc = (getline line < ($$0 ".trs"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| fatal("failed to read from " $$0 ".trs"); \ |
| if (line ~ /$(am__global_test_result_rx)/) \ |
| { \ |
| sub("$(am__global_test_result_rx)", "", line); \ |
| sub("[ ]*$$", "", line); \ |
| global_test_result = line; \ |
| } \ |
| else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \ |
| copy_in_global_log = 0; \ |
| }; \ |
| if (copy_in_global_log) \ |
| { \ |
| rst_section(global_test_result ": " $$0); \ |
| while ((rc = (getline line < ($$0 ".log"))) != 0) \ |
| { \ |
| if (rc < 0) \ |
| fatal("failed to read from " $$0 ".log"); \ |
| print line; \ |
| }; \ |
| printf "\n"; \ |
| }; \ |
| close ($$0 ".trs"); \ |
| close ($$0 ".log"); \ |
| }' |
| # Restructured Text title. |
| am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; } |
| # Solaris 10 'make', and several other traditional 'make' implementations, |
| # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it |
| # by disabling -e (using the XSI extension "set +e") if it's set. |
| am__sh_e_setup = case $$- in *e*) set +e;; esac |
| # Default flags passed to test drivers. |
| am__common_driver_flags = \ |
| --color-tests "$$am__color_tests" \ |
| --enable-hard-errors "$$am__enable_hard_errors" \ |
| --expect-failure "$$am__expect_failure" |
| # To be inserted before the command running the test. Creates the |
| # directory for the log if needed. Stores in $dir the directory |
| # containing $f, in $tst the test, in $log the log. Executes the |
| # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and |
| # passes TESTS_ENVIRONMENT. Set up options for the wrapper that |
| # will run the test scripts (or their associated LOG_COMPILER, if |
| # thy have one). |
| am__check_pre = \ |
| $(am__sh_e_setup); \ |
| $(am__vpath_adj_setup) $(am__vpath_adj) \ |
| $(am__tty_colors); \ |
| srcdir=$(srcdir); export srcdir; \ |
| case "$@" in \ |
| */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \ |
| *) am__odir=.;; \ |
| esac; \ |
| test "x$$am__odir" = x"." || test -d "$$am__odir" \ |
| || $(MKDIR_P) "$$am__odir" || exit $$?; \ |
| if test -f "./$$f"; then dir=./; \ |
| elif test -f "$$f"; then dir=; \ |
| else dir="$(srcdir)/"; fi; \ |
| tst=$$dir$$f; log='$@'; \ |
| if test -n '$(DISABLE_HARD_ERRORS)'; then \ |
| am__enable_hard_errors=no; \ |
| else \ |
| am__enable_hard_errors=yes; \ |
| fi; \ |
| case " $(XFAIL_TESTS) " in \ |
| *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \ |
| am__expect_failure=yes;; \ |
| *) \ |
| am__expect_failure=no;; \ |
| esac; \ |
| $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT) |
| # A shell command to get the names of the tests scripts with any registered |
| # extension removed (i.e., equivalently, the names of the test logs, with |
| # the '.log' extension removed). The result is saved in the shell variable |
| # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly, |
| # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)", |
| # since that might cause problem with VPATH rewrites for suffix-less tests. |
| # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'. |
| am__set_TESTS_bases = \ |
| bases='$(TEST_LOGS)'; \ |
| bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \ |
| bases=`echo $$bases` |
| RECHECK_LOGS = $(TEST_LOGS) |
| AM_RECURSIVE_TARGETS = check recheck |
| TEST_SUITE_LOG = test-suite.log |
| TEST_EXTENSIONS = @EXEEXT@ .test |
| LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver |
| LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS) |
| am__set_b = \ |
| case '$@' in \ |
| */*) \ |
| case '$*' in \ |
| */*) b='$*';; \ |
| *) b=`echo '$@' | sed 's/\.log$$//'`; \ |
| esac;; \ |
| *) \ |
| b='$*';; \ |
| esac |
| am__test_logs1 = $(TESTS:=.log) |
| am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log) |
| TEST_LOGS = $(am__test_logs2:.test.log=.log) |
| TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver |
| TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \ |
| $(TEST_LOG_FLAGS) |
| DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) |
| ACLOCAL = @ACLOCAL@ |
| AMTAR = @AMTAR@ |
| AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ |
| AR = @AR@ |
| AUTOCONF = @AUTOCONF@ |
| AUTOHEADER = @AUTOHEADER@ |
| AUTOMAKE = @AUTOMAKE@ |
| AWK = @AWK@ |
| CC = @CC@ |
| CCDEPMODE = @CCDEPMODE@ |
| CFLAGS = @CFLAGS@ |
| CPP = @CPP@ |
| CPPFLAGS = @CPPFLAGS@ |
| CYGPATH_W = @CYGPATH_W@ |
| DEFS = @DEFS@ |
| DEPDIR = @DEPDIR@ |
| DLLTOOL = @DLLTOOL@ |
| DSYMUTIL = @DSYMUTIL@ |
| DUMPBIN = @DUMPBIN@ |
| ECHO_C = @ECHO_C@ |
| ECHO_N = @ECHO_N@ |
| ECHO_T = @ECHO_T@ |
| EGREP = @EGREP@ |
| EXEEXT = @EXEEXT@ |
| FGREP = @FGREP@ |
| GREP = @GREP@ |
| INSTALL = @INSTALL@ |
| INSTALL_DATA = @INSTALL_DATA@ |
| INSTALL_PROGRAM = @INSTALL_PROGRAM@ |
| INSTALL_SCRIPT = @INSTALL_SCRIPT@ |
| INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ |
| LD = @LD@ |
| LDFLAGS = @LDFLAGS@ |
| LIBOBJS = @LIBOBJS@ |
| LIBS = @LIBS@ |
| LIBTOOL = @LIBTOOL@ |
| LIPO = @LIPO@ |
| LN_S = @LN_S@ |
| LTLIBOBJS = @LTLIBOBJS@ |
| MAKEINFO = @MAKEINFO@ |
| MANIFEST_TOOL = @MANIFEST_TOOL@ |
| MKDIR_P = @MKDIR_P@ |
| NM = @NM@ |
| NMEDIT = @NMEDIT@ |
| OBJDUMP = @OBJDUMP@ |
| OBJEXT = @OBJEXT@ |
| OTOOL = @OTOOL@ |
| OTOOL64 = @OTOOL64@ |
| PACKAGE = @PACKAGE@ |
| PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ |
| PACKAGE_NAME = @PACKAGE_NAME@ |
| PACKAGE_STRING = @PACKAGE_STRING@ |
| PACKAGE_TARNAME = @PACKAGE_TARNAME@ |
| PACKAGE_URL = @PACKAGE_URL@ |
| PACKAGE_VERSION = @PACKAGE_VERSION@ |
| PATH_SEPARATOR = @PATH_SEPARATOR@ |
| RANLIB = @RANLIB@ |
| SED = @SED@ |
| SET_MAKE = @SET_MAKE@ |
| SHELL = @SHELL@ |
| STRIP = @STRIP@ |
| VERSION = @VERSION@ |
| abs_builddir = @abs_builddir@ |
| abs_srcdir = @abs_srcdir@ |
| abs_top_builddir = @abs_top_builddir@ |
| abs_top_srcdir = @abs_top_srcdir@ |
| ac_ct_AR = @ac_ct_AR@ |
| ac_ct_CC = @ac_ct_CC@ |
| ac_ct_DUMPBIN = @ac_ct_DUMPBIN@ |
| am__include = @am__include@ |
| am__leading_dot = @am__leading_dot@ |
| am__quote = @am__quote@ |
| am__tar = @am__tar@ |
| am__untar = @am__untar@ |
| bindir = @bindir@ |
| build = @build@ |
| build_alias = @build_alias@ |
| build_cpu = @build_cpu@ |
| build_os = @build_os@ |
| build_vendor = @build_vendor@ |
| builddir = @builddir@ |
| datadir = @datadir@ |
| datarootdir = @datarootdir@ |
| docdir = @docdir@ |
| dvidir = @dvidir@ |
| exec_prefix = @exec_prefix@ |
| host = @host@ |
| host_alias = @host_alias@ |
| host_cpu = @host_cpu@ |
| host_os = @host_os@ |
| host_vendor = @host_vendor@ |
| htmldir = @htmldir@ |
| includedir = @includedir@ |
| infodir = @infodir@ |
| install_sh = @install_sh@ |
| libdir = @libdir@ |
| libexecdir = @libexecdir@ |
| localedir = @localedir@ |
| localstatedir = @localstatedir@ |
| mandir = @mandir@ |
| mkdir_p = @mkdir_p@ |
| oldincludedir = @oldincludedir@ |
| pdfdir = @pdfdir@ |
| prefix = @prefix@ |
| program_transform_name = @program_transform_name@ |
| psdir = @psdir@ |
| sbindir = @sbindir@ |
| sharedstatedir = @sharedstatedir@ |
| srcdir = @srcdir@ |
| sysconfdir = @sysconfdir@ |
| target_alias = @target_alias@ |
| top_build_prefix = @top_build_prefix@ |
| top_builddir = @top_builddir@ |
| top_srcdir = @top_srcdir@ |
| lib_LIBRARIES = libiperf.a # Build and install a static iperf library |
| include_HEADERS = iperf_api.h # Defines the headers that get installed with the program |
| |
| # Specify the source files and flags for the iperf library |
| libiperf_a_SOURCES = \ |
| cjson.c \ |
| cjson.h \ |
| iperf.h \ |
| iperf_api.c \ |
| iperf_api.h \ |
| iperf_error.c \ |
| iperf_client_api.c \ |
| iperf_server_api.c \ |
| iperf_tcp.c \ |
| iperf_tcp.h \ |
| iperf_udp.c \ |
| iperf_udp.h \ |
| iperf_sctp.c \ |
| iperf_sctp.h \ |
| iperf_util.c \ |
| iperf_util.h \ |
| locale.c \ |
| locale.h \ |
| net.c \ |
| net.h \ |
| queue.h \ |
| tcp_info.c \ |
| tcp_window_size.c \ |
| tcp_window_size.h \ |
| timer.c \ |
| timer.h \ |
| units.c \ |
| units.h \ |
| version.h |
| |
| |
| # Specify the sources and various flags for the iperf binary |
| iperf3_SOURCES = main.c |
| iperf3_CFLAGS = -g -Wall |
| iperf3_LDADD = libiperf.a |
| iperf3_LDFLAGS = -g |
| |
| # Specify the sources and various flags for the profiled iperf binary. This |
| # binary recompiles all the source files to make sure they are all profiled. |
| iperf3_profile_SOURCES = main.c \ |
| $(libiperf_a_SOURCES) |
| |
| iperf3_profile_CFLAGS = -pg -g -Wall |
| iperf3_profile_LDADD = libiperf.a |
| iperf3_profile_LDFLAGS = -pg -g |
| |
| # Specify the sources and various flags for the test cases |
| t_timer_SOURCES = t_timer.c |
| t_timer_CFLAGS = -g -Wall |
| t_timer_LDFLAGS = iperf_error.o |
| t_timer_LDADD = libiperf.a |
| t_units_SOURCES = t_units.c |
| t_units_CFLAGS = -g -Wall |
| t_units_LDFLAGS = |
| t_units_LDADD = libiperf.a |
| t_uuid_SOURCES = t_uuid.c |
| t_uuid_CFLAGS = -g -Wall |
| t_uuid_LDFLAGS = |
| t_uuid_LDADD = libiperf.a |
| dist_man_MANS = iperf3.1 libiperf.3 |
| all: config.h |
| $(MAKE) $(AM_MAKEFLAGS) all-am |
| |
| .SUFFIXES: |
| .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs |
| $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) |
| @for dep in $?; do \ |
| case '$(am__configure_deps)' in \ |
| *$$dep*) \ |
| ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \ |
| && { if test -f $@; then exit 0; else break; fi; }; \ |
| exit 1;; \ |
| esac; \ |
| done; \ |
| echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \ |
| $(am__cd) $(top_srcdir) && \ |
| $(AUTOMAKE) --foreign src/Makefile |
| .PRECIOUS: Makefile |
| Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status |
| @case '$?' in \ |
| *config.status*) \ |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \ |
| *) \ |
| echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \ |
| cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \ |
| esac; |
| |
| $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| |
| $(top_srcdir)/configure: $(am__configure_deps) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| $(ACLOCAL_M4): $(am__aclocal_m4_deps) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| $(am__aclocal_m4_deps): |
| |
| config.h: stamp-h1 |
| @test -f $@ || rm -f stamp-h1 |
| @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1 |
| |
| stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status |
| @rm -f stamp-h1 |
| cd $(top_builddir) && $(SHELL) ./config.status src/config.h |
| $(srcdir)/config.h.in: $(am__configure_deps) |
| ($(am__cd) $(top_srcdir) && $(AUTOHEADER)) |
| rm -f stamp-h1 |
| touch $@ |
| |
| distclean-hdr: |
| -rm -f config.h stamp-h1 |
| install-libLIBRARIES: $(lib_LIBRARIES) |
| @$(NORMAL_INSTALL) |
| @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \ |
| list2=; for p in $$list; do \ |
| if test -f $$p; then \ |
| list2="$$list2 $$p"; \ |
| else :; fi; \ |
| done; \ |
| test -z "$$list2" || { \ |
| echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \ |
| $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \ |
| echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \ |
| $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; } |
| @$(POST_INSTALL) |
| @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \ |
| for p in $$list; do \ |
| if test -f $$p; then \ |
| $(am__strip_dir) \ |
| echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \ |
| ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \ |
| else :; fi; \ |
| done |
| |
| uninstall-libLIBRARIES: |
| @$(NORMAL_UNINSTALL) |
| @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \ |
| files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \ |
| dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir) |
| |
| clean-libLIBRARIES: |
| -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES) |
| |
| libiperf.a: $(libiperf_a_OBJECTS) $(libiperf_a_DEPENDENCIES) $(EXTRA_libiperf_a_DEPENDENCIES) |
| $(AM_V_at)-rm -f libiperf.a |
| $(AM_V_AR)$(libiperf_a_AR) libiperf.a $(libiperf_a_OBJECTS) $(libiperf_a_LIBADD) |
| $(AM_V_at)$(RANLIB) libiperf.a |
| install-binPROGRAMS: $(bin_PROGRAMS) |
| @$(NORMAL_INSTALL) |
| @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \ |
| if test -n "$$list"; then \ |
| echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \ |
| $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \ |
| fi; \ |
| for p in $$list; do echo "$$p $$p"; done | \ |
| sed 's/$(EXEEXT)$$//' | \ |
| while read p p1; do if test -f $$p \ |
| || test -f $$p1 \ |
| ; then echo "$$p"; echo "$$p"; else :; fi; \ |
| done | \ |
| sed -e 'p;s,.*/,,;n;h' \ |
| -e 's|.*|.|' \ |
| -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \ |
| sed 'N;N;N;s,\n, ,g' | \ |
| $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \ |
| { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \ |
| if ($$2 == $$4) files[d] = files[d] " " $$1; \ |
| else { print "f", $$3 "/" $$4, $$1; } } \ |
| END { for (d in files) print "f", d, files[d] }' | \ |
| while read type dir files; do \ |
| if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \ |
| test -z "$$files" || { \ |
| echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \ |
| $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \ |
| } \ |
| ; done |
| |
| uninstall-binPROGRAMS: |
| @$(NORMAL_UNINSTALL) |
| @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \ |
| files=`for p in $$list; do echo "$$p"; done | \ |
| sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \ |
| -e 's/$$/$(EXEEXT)/' \ |
| `; \ |
| test -n "$$list" || exit 0; \ |
| echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \ |
| cd "$(DESTDIR)$(bindir)" && rm -f $$files |
| |
| clean-binPROGRAMS: |
| @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list || exit $$?; \ |
| test -n "$(EXEEXT)" || exit 0; \ |
| list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list |
| |
| clean-noinstPROGRAMS: |
| @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list || exit $$?; \ |
| test -n "$(EXEEXT)" || exit 0; \ |
| list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \ |
| echo " rm -f" $$list; \ |
| rm -f $$list |
| |
| iperf3$(EXEEXT): $(iperf3_OBJECTS) $(iperf3_DEPENDENCIES) $(EXTRA_iperf3_DEPENDENCIES) |
| @rm -f iperf3$(EXEEXT) |
| $(AM_V_CCLD)$(iperf3_LINK) $(iperf3_OBJECTS) $(iperf3_LDADD) $(LIBS) |
| |
| iperf3_profile$(EXEEXT): $(iperf3_profile_OBJECTS) $(iperf3_profile_DEPENDENCIES) $(EXTRA_iperf3_profile_DEPENDENCIES) |
| @rm -f iperf3_profile$(EXEEXT) |
| $(AM_V_CCLD)$(iperf3_profile_LINK) $(iperf3_profile_OBJECTS) $(iperf3_profile_LDADD) $(LIBS) |
| |
| t_timer$(EXEEXT): $(t_timer_OBJECTS) $(t_timer_DEPENDENCIES) $(EXTRA_t_timer_DEPENDENCIES) |
| @rm -f t_timer$(EXEEXT) |
| $(AM_V_CCLD)$(t_timer_LINK) $(t_timer_OBJECTS) $(t_timer_LDADD) $(LIBS) |
| |
| t_units$(EXEEXT): $(t_units_OBJECTS) $(t_units_DEPENDENCIES) $(EXTRA_t_units_DEPENDENCIES) |
| @rm -f t_units$(EXEEXT) |
| $(AM_V_CCLD)$(t_units_LINK) $(t_units_OBJECTS) $(t_units_LDADD) $(LIBS) |
| |
| t_uuid$(EXEEXT): $(t_uuid_OBJECTS) $(t_uuid_DEPENDENCIES) $(EXTRA_t_uuid_DEPENDENCIES) |
| @rm -f t_uuid$(EXEEXT) |
| $(AM_V_CCLD)$(t_uuid_LINK) $(t_uuid_OBJECTS) $(t_uuid_LDADD) $(LIBS) |
| |
| mostlyclean-compile: |
| -rm -f *.$(OBJEXT) |
| |
| distclean-compile: |
| -rm -f *.tab.c |
| |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cjson.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3-main.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-cjson.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-iperf_api.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-iperf_client_api.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-iperf_error.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-iperf_sctp.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-iperf_server_api.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-iperf_tcp.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-iperf_udp.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-iperf_util.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-locale.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-main.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-net.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-tcp_info.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-tcp_window_size.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-timer.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf3_profile-units.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf_api.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf_client_api.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf_error.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf_sctp.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf_server_api.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf_tcp.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf_udp.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iperf_util.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/locale.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/net.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_timer-t_timer.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_units-t_units.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_uuid-t_uuid.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tcp_info.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tcp_window_size.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timer.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/units.Po@am__quote@ |
| |
| .c.o: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $< |
| |
| .c.obj: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'` |
| |
| .c.lo: |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $< |
| |
| iperf3-main.o: main.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_CFLAGS) $(CFLAGS) -MT iperf3-main.o -MD -MP -MF $(DEPDIR)/iperf3-main.Tpo -c -o iperf3-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3-main.Tpo $(DEPDIR)/iperf3-main.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='main.c' object='iperf3-main.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_CFLAGS) $(CFLAGS) -c -o iperf3-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c |
| |
| iperf3-main.obj: main.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_CFLAGS) $(CFLAGS) -MT iperf3-main.obj -MD -MP -MF $(DEPDIR)/iperf3-main.Tpo -c -o iperf3-main.obj `if test -f 'main.c'; then $(CYGPATH_W) 'main.c'; else $(CYGPATH_W) '$(srcdir)/main.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3-main.Tpo $(DEPDIR)/iperf3-main.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='main.c' object='iperf3-main.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_CFLAGS) $(CFLAGS) -c -o iperf3-main.obj `if test -f 'main.c'; then $(CYGPATH_W) 'main.c'; else $(CYGPATH_W) '$(srcdir)/main.c'; fi` |
| |
| iperf3_profile-main.o: main.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-main.o -MD -MP -MF $(DEPDIR)/iperf3_profile-main.Tpo -c -o iperf3_profile-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-main.Tpo $(DEPDIR)/iperf3_profile-main.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='main.c' object='iperf3_profile-main.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c |
| |
| iperf3_profile-main.obj: main.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-main.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-main.Tpo -c -o iperf3_profile-main.obj `if test -f 'main.c'; then $(CYGPATH_W) 'main.c'; else $(CYGPATH_W) '$(srcdir)/main.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-main.Tpo $(DEPDIR)/iperf3_profile-main.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='main.c' object='iperf3_profile-main.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-main.obj `if test -f 'main.c'; then $(CYGPATH_W) 'main.c'; else $(CYGPATH_W) '$(srcdir)/main.c'; fi` |
| |
| iperf3_profile-cjson.o: cjson.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-cjson.o -MD -MP -MF $(DEPDIR)/iperf3_profile-cjson.Tpo -c -o iperf3_profile-cjson.o `test -f 'cjson.c' || echo '$(srcdir)/'`cjson.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-cjson.Tpo $(DEPDIR)/iperf3_profile-cjson.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='cjson.c' object='iperf3_profile-cjson.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-cjson.o `test -f 'cjson.c' || echo '$(srcdir)/'`cjson.c |
| |
| iperf3_profile-cjson.obj: cjson.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-cjson.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-cjson.Tpo -c -o iperf3_profile-cjson.obj `if test -f 'cjson.c'; then $(CYGPATH_W) 'cjson.c'; else $(CYGPATH_W) '$(srcdir)/cjson.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-cjson.Tpo $(DEPDIR)/iperf3_profile-cjson.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='cjson.c' object='iperf3_profile-cjson.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-cjson.obj `if test -f 'cjson.c'; then $(CYGPATH_W) 'cjson.c'; else $(CYGPATH_W) '$(srcdir)/cjson.c'; fi` |
| |
| iperf3_profile-iperf_api.o: iperf_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_api.o -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_api.Tpo -c -o iperf3_profile-iperf_api.o `test -f 'iperf_api.c' || echo '$(srcdir)/'`iperf_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_api.Tpo $(DEPDIR)/iperf3_profile-iperf_api.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_api.c' object='iperf3_profile-iperf_api.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_api.o `test -f 'iperf_api.c' || echo '$(srcdir)/'`iperf_api.c |
| |
| iperf3_profile-iperf_api.obj: iperf_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_api.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_api.Tpo -c -o iperf3_profile-iperf_api.obj `if test -f 'iperf_api.c'; then $(CYGPATH_W) 'iperf_api.c'; else $(CYGPATH_W) '$(srcdir)/iperf_api.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_api.Tpo $(DEPDIR)/iperf3_profile-iperf_api.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_api.c' object='iperf3_profile-iperf_api.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_api.obj `if test -f 'iperf_api.c'; then $(CYGPATH_W) 'iperf_api.c'; else $(CYGPATH_W) '$(srcdir)/iperf_api.c'; fi` |
| |
| iperf3_profile-iperf_error.o: iperf_error.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_error.o -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_error.Tpo -c -o iperf3_profile-iperf_error.o `test -f 'iperf_error.c' || echo '$(srcdir)/'`iperf_error.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_error.Tpo $(DEPDIR)/iperf3_profile-iperf_error.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_error.c' object='iperf3_profile-iperf_error.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_error.o `test -f 'iperf_error.c' || echo '$(srcdir)/'`iperf_error.c |
| |
| iperf3_profile-iperf_error.obj: iperf_error.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_error.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_error.Tpo -c -o iperf3_profile-iperf_error.obj `if test -f 'iperf_error.c'; then $(CYGPATH_W) 'iperf_error.c'; else $(CYGPATH_W) '$(srcdir)/iperf_error.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_error.Tpo $(DEPDIR)/iperf3_profile-iperf_error.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_error.c' object='iperf3_profile-iperf_error.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_error.obj `if test -f 'iperf_error.c'; then $(CYGPATH_W) 'iperf_error.c'; else $(CYGPATH_W) '$(srcdir)/iperf_error.c'; fi` |
| |
| iperf3_profile-iperf_client_api.o: iperf_client_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_client_api.o -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_client_api.Tpo -c -o iperf3_profile-iperf_client_api.o `test -f 'iperf_client_api.c' || echo '$(srcdir)/'`iperf_client_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_client_api.Tpo $(DEPDIR)/iperf3_profile-iperf_client_api.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_client_api.c' object='iperf3_profile-iperf_client_api.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_client_api.o `test -f 'iperf_client_api.c' || echo '$(srcdir)/'`iperf_client_api.c |
| |
| iperf3_profile-iperf_client_api.obj: iperf_client_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_client_api.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_client_api.Tpo -c -o iperf3_profile-iperf_client_api.obj `if test -f 'iperf_client_api.c'; then $(CYGPATH_W) 'iperf_client_api.c'; else $(CYGPATH_W) '$(srcdir)/iperf_client_api.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_client_api.Tpo $(DEPDIR)/iperf3_profile-iperf_client_api.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_client_api.c' object='iperf3_profile-iperf_client_api.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_client_api.obj `if test -f 'iperf_client_api.c'; then $(CYGPATH_W) 'iperf_client_api.c'; else $(CYGPATH_W) '$(srcdir)/iperf_client_api.c'; fi` |
| |
| iperf3_profile-iperf_server_api.o: iperf_server_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_server_api.o -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_server_api.Tpo -c -o iperf3_profile-iperf_server_api.o `test -f 'iperf_server_api.c' || echo '$(srcdir)/'`iperf_server_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_server_api.Tpo $(DEPDIR)/iperf3_profile-iperf_server_api.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_server_api.c' object='iperf3_profile-iperf_server_api.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_server_api.o `test -f 'iperf_server_api.c' || echo '$(srcdir)/'`iperf_server_api.c |
| |
| iperf3_profile-iperf_server_api.obj: iperf_server_api.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_server_api.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_server_api.Tpo -c -o iperf3_profile-iperf_server_api.obj `if test -f 'iperf_server_api.c'; then $(CYGPATH_W) 'iperf_server_api.c'; else $(CYGPATH_W) '$(srcdir)/iperf_server_api.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_server_api.Tpo $(DEPDIR)/iperf3_profile-iperf_server_api.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_server_api.c' object='iperf3_profile-iperf_server_api.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_server_api.obj `if test -f 'iperf_server_api.c'; then $(CYGPATH_W) 'iperf_server_api.c'; else $(CYGPATH_W) '$(srcdir)/iperf_server_api.c'; fi` |
| |
| iperf3_profile-iperf_tcp.o: iperf_tcp.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_tcp.o -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_tcp.Tpo -c -o iperf3_profile-iperf_tcp.o `test -f 'iperf_tcp.c' || echo '$(srcdir)/'`iperf_tcp.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_tcp.Tpo $(DEPDIR)/iperf3_profile-iperf_tcp.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_tcp.c' object='iperf3_profile-iperf_tcp.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_tcp.o `test -f 'iperf_tcp.c' || echo '$(srcdir)/'`iperf_tcp.c |
| |
| iperf3_profile-iperf_tcp.obj: iperf_tcp.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_tcp.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_tcp.Tpo -c -o iperf3_profile-iperf_tcp.obj `if test -f 'iperf_tcp.c'; then $(CYGPATH_W) 'iperf_tcp.c'; else $(CYGPATH_W) '$(srcdir)/iperf_tcp.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_tcp.Tpo $(DEPDIR)/iperf3_profile-iperf_tcp.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_tcp.c' object='iperf3_profile-iperf_tcp.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_tcp.obj `if test -f 'iperf_tcp.c'; then $(CYGPATH_W) 'iperf_tcp.c'; else $(CYGPATH_W) '$(srcdir)/iperf_tcp.c'; fi` |
| |
| iperf3_profile-iperf_udp.o: iperf_udp.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_udp.o -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_udp.Tpo -c -o iperf3_profile-iperf_udp.o `test -f 'iperf_udp.c' || echo '$(srcdir)/'`iperf_udp.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_udp.Tpo $(DEPDIR)/iperf3_profile-iperf_udp.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_udp.c' object='iperf3_profile-iperf_udp.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_udp.o `test -f 'iperf_udp.c' || echo '$(srcdir)/'`iperf_udp.c |
| |
| iperf3_profile-iperf_udp.obj: iperf_udp.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_udp.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_udp.Tpo -c -o iperf3_profile-iperf_udp.obj `if test -f 'iperf_udp.c'; then $(CYGPATH_W) 'iperf_udp.c'; else $(CYGPATH_W) '$(srcdir)/iperf_udp.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_udp.Tpo $(DEPDIR)/iperf3_profile-iperf_udp.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_udp.c' object='iperf3_profile-iperf_udp.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_udp.obj `if test -f 'iperf_udp.c'; then $(CYGPATH_W) 'iperf_udp.c'; else $(CYGPATH_W) '$(srcdir)/iperf_udp.c'; fi` |
| |
| iperf3_profile-iperf_sctp.o: iperf_sctp.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_sctp.o -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_sctp.Tpo -c -o iperf3_profile-iperf_sctp.o `test -f 'iperf_sctp.c' || echo '$(srcdir)/'`iperf_sctp.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_sctp.Tpo $(DEPDIR)/iperf3_profile-iperf_sctp.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_sctp.c' object='iperf3_profile-iperf_sctp.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_sctp.o `test -f 'iperf_sctp.c' || echo '$(srcdir)/'`iperf_sctp.c |
| |
| iperf3_profile-iperf_sctp.obj: iperf_sctp.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_sctp.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_sctp.Tpo -c -o iperf3_profile-iperf_sctp.obj `if test -f 'iperf_sctp.c'; then $(CYGPATH_W) 'iperf_sctp.c'; else $(CYGPATH_W) '$(srcdir)/iperf_sctp.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_sctp.Tpo $(DEPDIR)/iperf3_profile-iperf_sctp.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_sctp.c' object='iperf3_profile-iperf_sctp.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_sctp.obj `if test -f 'iperf_sctp.c'; then $(CYGPATH_W) 'iperf_sctp.c'; else $(CYGPATH_W) '$(srcdir)/iperf_sctp.c'; fi` |
| |
| iperf3_profile-iperf_util.o: iperf_util.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_util.o -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_util.Tpo -c -o iperf3_profile-iperf_util.o `test -f 'iperf_util.c' || echo '$(srcdir)/'`iperf_util.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_util.Tpo $(DEPDIR)/iperf3_profile-iperf_util.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_util.c' object='iperf3_profile-iperf_util.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_util.o `test -f 'iperf_util.c' || echo '$(srcdir)/'`iperf_util.c |
| |
| iperf3_profile-iperf_util.obj: iperf_util.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-iperf_util.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-iperf_util.Tpo -c -o iperf3_profile-iperf_util.obj `if test -f 'iperf_util.c'; then $(CYGPATH_W) 'iperf_util.c'; else $(CYGPATH_W) '$(srcdir)/iperf_util.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-iperf_util.Tpo $(DEPDIR)/iperf3_profile-iperf_util.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='iperf_util.c' object='iperf3_profile-iperf_util.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-iperf_util.obj `if test -f 'iperf_util.c'; then $(CYGPATH_W) 'iperf_util.c'; else $(CYGPATH_W) '$(srcdir)/iperf_util.c'; fi` |
| |
| iperf3_profile-locale.o: locale.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-locale.o -MD -MP -MF $(DEPDIR)/iperf3_profile-locale.Tpo -c -o iperf3_profile-locale.o `test -f 'locale.c' || echo '$(srcdir)/'`locale.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-locale.Tpo $(DEPDIR)/iperf3_profile-locale.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='locale.c' object='iperf3_profile-locale.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-locale.o `test -f 'locale.c' || echo '$(srcdir)/'`locale.c |
| |
| iperf3_profile-locale.obj: locale.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-locale.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-locale.Tpo -c -o iperf3_profile-locale.obj `if test -f 'locale.c'; then $(CYGPATH_W) 'locale.c'; else $(CYGPATH_W) '$(srcdir)/locale.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-locale.Tpo $(DEPDIR)/iperf3_profile-locale.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='locale.c' object='iperf3_profile-locale.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-locale.obj `if test -f 'locale.c'; then $(CYGPATH_W) 'locale.c'; else $(CYGPATH_W) '$(srcdir)/locale.c'; fi` |
| |
| iperf3_profile-net.o: net.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-net.o -MD -MP -MF $(DEPDIR)/iperf3_profile-net.Tpo -c -o iperf3_profile-net.o `test -f 'net.c' || echo '$(srcdir)/'`net.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-net.Tpo $(DEPDIR)/iperf3_profile-net.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='net.c' object='iperf3_profile-net.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-net.o `test -f 'net.c' || echo '$(srcdir)/'`net.c |
| |
| iperf3_profile-net.obj: net.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-net.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-net.Tpo -c -o iperf3_profile-net.obj `if test -f 'net.c'; then $(CYGPATH_W) 'net.c'; else $(CYGPATH_W) '$(srcdir)/net.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-net.Tpo $(DEPDIR)/iperf3_profile-net.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='net.c' object='iperf3_profile-net.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-net.obj `if test -f 'net.c'; then $(CYGPATH_W) 'net.c'; else $(CYGPATH_W) '$(srcdir)/net.c'; fi` |
| |
| iperf3_profile-tcp_info.o: tcp_info.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-tcp_info.o -MD -MP -MF $(DEPDIR)/iperf3_profile-tcp_info.Tpo -c -o iperf3_profile-tcp_info.o `test -f 'tcp_info.c' || echo '$(srcdir)/'`tcp_info.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-tcp_info.Tpo $(DEPDIR)/iperf3_profile-tcp_info.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='tcp_info.c' object='iperf3_profile-tcp_info.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-tcp_info.o `test -f 'tcp_info.c' || echo '$(srcdir)/'`tcp_info.c |
| |
| iperf3_profile-tcp_info.obj: tcp_info.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-tcp_info.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-tcp_info.Tpo -c -o iperf3_profile-tcp_info.obj `if test -f 'tcp_info.c'; then $(CYGPATH_W) 'tcp_info.c'; else $(CYGPATH_W) '$(srcdir)/tcp_info.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-tcp_info.Tpo $(DEPDIR)/iperf3_profile-tcp_info.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='tcp_info.c' object='iperf3_profile-tcp_info.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-tcp_info.obj `if test -f 'tcp_info.c'; then $(CYGPATH_W) 'tcp_info.c'; else $(CYGPATH_W) '$(srcdir)/tcp_info.c'; fi` |
| |
| iperf3_profile-tcp_window_size.o: tcp_window_size.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-tcp_window_size.o -MD -MP -MF $(DEPDIR)/iperf3_profile-tcp_window_size.Tpo -c -o iperf3_profile-tcp_window_size.o `test -f 'tcp_window_size.c' || echo '$(srcdir)/'`tcp_window_size.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-tcp_window_size.Tpo $(DEPDIR)/iperf3_profile-tcp_window_size.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='tcp_window_size.c' object='iperf3_profile-tcp_window_size.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-tcp_window_size.o `test -f 'tcp_window_size.c' || echo '$(srcdir)/'`tcp_window_size.c |
| |
| iperf3_profile-tcp_window_size.obj: tcp_window_size.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-tcp_window_size.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-tcp_window_size.Tpo -c -o iperf3_profile-tcp_window_size.obj `if test -f 'tcp_window_size.c'; then $(CYGPATH_W) 'tcp_window_size.c'; else $(CYGPATH_W) '$(srcdir)/tcp_window_size.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-tcp_window_size.Tpo $(DEPDIR)/iperf3_profile-tcp_window_size.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='tcp_window_size.c' object='iperf3_profile-tcp_window_size.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-tcp_window_size.obj `if test -f 'tcp_window_size.c'; then $(CYGPATH_W) 'tcp_window_size.c'; else $(CYGPATH_W) '$(srcdir)/tcp_window_size.c'; fi` |
| |
| iperf3_profile-timer.o: timer.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-timer.o -MD -MP -MF $(DEPDIR)/iperf3_profile-timer.Tpo -c -o iperf3_profile-timer.o `test -f 'timer.c' || echo '$(srcdir)/'`timer.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-timer.Tpo $(DEPDIR)/iperf3_profile-timer.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='timer.c' object='iperf3_profile-timer.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-timer.o `test -f 'timer.c' || echo '$(srcdir)/'`timer.c |
| |
| iperf3_profile-timer.obj: timer.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-timer.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-timer.Tpo -c -o iperf3_profile-timer.obj `if test -f 'timer.c'; then $(CYGPATH_W) 'timer.c'; else $(CYGPATH_W) '$(srcdir)/timer.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-timer.Tpo $(DEPDIR)/iperf3_profile-timer.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='timer.c' object='iperf3_profile-timer.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-timer.obj `if test -f 'timer.c'; then $(CYGPATH_W) 'timer.c'; else $(CYGPATH_W) '$(srcdir)/timer.c'; fi` |
| |
| iperf3_profile-units.o: units.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-units.o -MD -MP -MF $(DEPDIR)/iperf3_profile-units.Tpo -c -o iperf3_profile-units.o `test -f 'units.c' || echo '$(srcdir)/'`units.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-units.Tpo $(DEPDIR)/iperf3_profile-units.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='units.c' object='iperf3_profile-units.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-units.o `test -f 'units.c' || echo '$(srcdir)/'`units.c |
| |
| iperf3_profile-units.obj: units.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -MT iperf3_profile-units.obj -MD -MP -MF $(DEPDIR)/iperf3_profile-units.Tpo -c -o iperf3_profile-units.obj `if test -f 'units.c'; then $(CYGPATH_W) 'units.c'; else $(CYGPATH_W) '$(srcdir)/units.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/iperf3_profile-units.Tpo $(DEPDIR)/iperf3_profile-units.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='units.c' object='iperf3_profile-units.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(iperf3_profile_CFLAGS) $(CFLAGS) -c -o iperf3_profile-units.obj `if test -f 'units.c'; then $(CYGPATH_W) 'units.c'; else $(CYGPATH_W) '$(srcdir)/units.c'; fi` |
| |
| t_timer-t_timer.o: t_timer.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_timer_CFLAGS) $(CFLAGS) -MT t_timer-t_timer.o -MD -MP -MF $(DEPDIR)/t_timer-t_timer.Tpo -c -o t_timer-t_timer.o `test -f 't_timer.c' || echo '$(srcdir)/'`t_timer.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/t_timer-t_timer.Tpo $(DEPDIR)/t_timer-t_timer.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='t_timer.c' object='t_timer-t_timer.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_timer_CFLAGS) $(CFLAGS) -c -o t_timer-t_timer.o `test -f 't_timer.c' || echo '$(srcdir)/'`t_timer.c |
| |
| t_timer-t_timer.obj: t_timer.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_timer_CFLAGS) $(CFLAGS) -MT t_timer-t_timer.obj -MD -MP -MF $(DEPDIR)/t_timer-t_timer.Tpo -c -o t_timer-t_timer.obj `if test -f 't_timer.c'; then $(CYGPATH_W) 't_timer.c'; else $(CYGPATH_W) '$(srcdir)/t_timer.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/t_timer-t_timer.Tpo $(DEPDIR)/t_timer-t_timer.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='t_timer.c' object='t_timer-t_timer.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_timer_CFLAGS) $(CFLAGS) -c -o t_timer-t_timer.obj `if test -f 't_timer.c'; then $(CYGPATH_W) 't_timer.c'; else $(CYGPATH_W) '$(srcdir)/t_timer.c'; fi` |
| |
| t_units-t_units.o: t_units.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_units_CFLAGS) $(CFLAGS) -MT t_units-t_units.o -MD -MP -MF $(DEPDIR)/t_units-t_units.Tpo -c -o t_units-t_units.o `test -f 't_units.c' || echo '$(srcdir)/'`t_units.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/t_units-t_units.Tpo $(DEPDIR)/t_units-t_units.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='t_units.c' object='t_units-t_units.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_units_CFLAGS) $(CFLAGS) -c -o t_units-t_units.o `test -f 't_units.c' || echo '$(srcdir)/'`t_units.c |
| |
| t_units-t_units.obj: t_units.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_units_CFLAGS) $(CFLAGS) -MT t_units-t_units.obj -MD -MP -MF $(DEPDIR)/t_units-t_units.Tpo -c -o t_units-t_units.obj `if test -f 't_units.c'; then $(CYGPATH_W) 't_units.c'; else $(CYGPATH_W) '$(srcdir)/t_units.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/t_units-t_units.Tpo $(DEPDIR)/t_units-t_units.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='t_units.c' object='t_units-t_units.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_units_CFLAGS) $(CFLAGS) -c -o t_units-t_units.obj `if test -f 't_units.c'; then $(CYGPATH_W) 't_units.c'; else $(CYGPATH_W) '$(srcdir)/t_units.c'; fi` |
| |
| t_uuid-t_uuid.o: t_uuid.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_uuid_CFLAGS) $(CFLAGS) -MT t_uuid-t_uuid.o -MD -MP -MF $(DEPDIR)/t_uuid-t_uuid.Tpo -c -o t_uuid-t_uuid.o `test -f 't_uuid.c' || echo '$(srcdir)/'`t_uuid.c |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/t_uuid-t_uuid.Tpo $(DEPDIR)/t_uuid-t_uuid.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='t_uuid.c' object='t_uuid-t_uuid.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_uuid_CFLAGS) $(CFLAGS) -c -o t_uuid-t_uuid.o `test -f 't_uuid.c' || echo '$(srcdir)/'`t_uuid.c |
| |
| t_uuid-t_uuid.obj: t_uuid.c |
| @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_uuid_CFLAGS) $(CFLAGS) -MT t_uuid-t_uuid.obj -MD -MP -MF $(DEPDIR)/t_uuid-t_uuid.Tpo -c -o t_uuid-t_uuid.obj `if test -f 't_uuid.c'; then $(CYGPATH_W) 't_uuid.c'; else $(CYGPATH_W) '$(srcdir)/t_uuid.c'; fi` |
| @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/t_uuid-t_uuid.Tpo $(DEPDIR)/t_uuid-t_uuid.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='t_uuid.c' object='t_uuid-t_uuid.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(t_uuid_CFLAGS) $(CFLAGS) -c -o t_uuid-t_uuid.obj `if test -f 't_uuid.c'; then $(CYGPATH_W) 't_uuid.c'; else $(CYGPATH_W) '$(srcdir)/t_uuid.c'; fi` |
| |
| mostlyclean-libtool: |
| -rm -f *.lo |
| |
| clean-libtool: |
| -rm -rf .libs _libs |
| install-man1: $(dist_man_MANS) |
| @$(NORMAL_INSTALL) |
| @list1=''; \ |
| list2='$(dist_man_MANS)'; \ |
| test -n "$(man1dir)" \ |
| && test -n "`echo $$list1$$list2`" \ |
| || exit 0; \ |
| echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \ |
| $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \ |
| { for i in $$list1; do echo "$$i"; done; \ |
| if test -n "$$list2"; then \ |
| for i in $$list2; do echo "$$i"; done \ |
| | sed -n '/\.1[a-z]*$$/p'; \ |
| fi; \ |
| } | while read p; do \ |
| if test -f $$p; then d=; else d="$(srcdir)/"; fi; \ |
| echo "$$d$$p"; echo "$$p"; \ |
| done | \ |
| sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \ |
| -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \ |
| sed 'N;N;s,\n, ,g' | { \ |
| list=; while read file base inst; do \ |
| if test "$$base" = "$$inst"; then list="$$list $$file"; else \ |
| echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \ |
| $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \ |
| fi; \ |
| done; \ |
| for i in $$list; do echo "$$i"; done | $(am__base_list) | \ |
| while read files; do \ |
| test -z "$$files" || { \ |
| echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \ |
| $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \ |
| done; } |
| |
| uninstall-man1: |
| @$(NORMAL_UNINSTALL) |
| @list=''; test -n "$(man1dir)" || exit 0; \ |
| files=`{ for i in $$list; do echo "$$i"; done; \ |
| l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \ |
| sed -n '/\.1[a-z]*$$/p'; \ |
| } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \ |
| -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \ |
| dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir) |
| install-man3: $(dist_man_MANS) |
| @$(NORMAL_INSTALL) |
| @list1=''; \ |
| list2='$(dist_man_MANS)'; \ |
| test -n "$(man3dir)" \ |
| && test -n "`echo $$list1$$list2`" \ |
| || exit 0; \ |
| echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \ |
| $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \ |
| { for i in $$list1; do echo "$$i"; done; \ |
| if test -n "$$list2"; then \ |
| for i in $$list2; do echo "$$i"; done \ |
| | sed -n '/\.3[a-z]*$$/p'; \ |
| fi; \ |
| } | while read p; do \ |
| if test -f $$p; then d=; else d="$(srcdir)/"; fi; \ |
| echo "$$d$$p"; echo "$$p"; \ |
| done | \ |
| sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \ |
| -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \ |
| sed 'N;N;s,\n, ,g' | { \ |
| list=; while read file base inst; do \ |
| if test "$$base" = "$$inst"; then list="$$list $$file"; else \ |
| echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \ |
| $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \ |
| fi; \ |
| done; \ |
| for i in $$list; do echo "$$i"; done | $(am__base_list) | \ |
| while read files; do \ |
| test -z "$$files" || { \ |
| echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \ |
| $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \ |
| done; } |
| |
| uninstall-man3: |
| @$(NORMAL_UNINSTALL) |
| @list=''; test -n "$(man3dir)" || exit 0; \ |
| files=`{ for i in $$list; do echo "$$i"; done; \ |
| l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \ |
| sed -n '/\.3[a-z]*$$/p'; \ |
| } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \ |
| -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \ |
| dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir) |
| install-includeHEADERS: $(include_HEADERS) |
| @$(NORMAL_INSTALL) |
| @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \ |
| if test -n "$$list"; then \ |
| echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \ |
| $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \ |
| fi; \ |
| for p in $$list; do \ |
| if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \ |
| echo "$$d$$p"; \ |
| done | $(am__base_list) | \ |
| while read files; do \ |
| echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \ |
| $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \ |
| done |
| |
| uninstall-includeHEADERS: |
| @$(NORMAL_UNINSTALL) |
| @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \ |
| files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \ |
| dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir) |
| |
| ID: $(am__tagged_files) |
| $(am__define_uniq_tagged_files); mkid -fID $$unique |
| tags: tags-am |
| TAGS: tags |
| |
| tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) |
| set x; \ |
| here=`pwd`; \ |
| $(am__define_uniq_tagged_files); \ |
| shift; \ |
| if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ |
| test -n "$$unique" || unique=$$empty_fix; \ |
| if test $$# -gt 0; then \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| "$$@" $$unique; \ |
| else \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| $$unique; \ |
| fi; \ |
| fi |
| ctags: ctags-am |
| |
| CTAGS: ctags |
| ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) |
| $(am__define_uniq_tagged_files); \ |
| test -z "$(CTAGS_ARGS)$$unique" \ |
| || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ |
| $$unique |
| |
| GTAGS: |
| here=`$(am__cd) $(top_builddir) && pwd` \ |
| && $(am__cd) $(top_srcdir) \ |
| && gtags -i $(GTAGS_ARGS) "$$here" |
| cscopelist: cscopelist-am |
| |
| cscopelist-am: $(am__tagged_files) |
| list='$(am__tagged_files)'; \ |
| case "$(srcdir)" in \ |
| [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \ |
| *) sdir=$(subdir)/$(srcdir) ;; \ |
| esac; \ |
| for i in $$list; do \ |
| if test -f "$$i"; then \ |
| echo "$(subdir)/$$i"; \ |
| else \ |
| echo "$$sdir/$$i"; \ |
| fi; \ |
| done >> $(top_builddir)/cscope.files |
| |
| distclean-tags: |
| -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags |
| |
| # Recover from deleted '.trs' file; this should ensure that |
| # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create |
| # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells |
| # to avoid problems with "make -n". |
| .log.trs: |
| rm -f $< $@ |
| $(MAKE) $(AM_MAKEFLAGS) $< |
| |
| # Leading 'am--fnord' is there to ensure the list of targets does not |
| # expand to empty, as could happen e.g. with make check TESTS=''. |
| am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck) |
| am--force-recheck: |
| @: |
| |
| $(TEST_SUITE_LOG): $(TEST_LOGS) |
| @$(am__set_TESTS_bases); \ |
| am__f_ok () { test -f "$$1" && test -r "$$1"; }; \ |
| redo_bases=`for i in $$bases; do \ |
| am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \ |
| done`; \ |
| if test -n "$$redo_bases"; then \ |
| redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \ |
| redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \ |
| if $(am__make_dryrun); then :; else \ |
| rm -f $$redo_logs && rm -f $$redo_results || exit 1; \ |
| fi; \ |
| fi; \ |
| if test -n "$$am__remaking_logs"; then \ |
| echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \ |
| "recursion detected" >&2; \ |
| else \ |
| am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \ |
| fi; \ |
| if $(am__make_dryrun); then :; else \ |
| st=0; \ |
| errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \ |
| for i in $$redo_bases; do \ |
| test -f $$i.trs && test -r $$i.trs \ |
| || { echo "$$errmsg $$i.trs" >&2; st=1; }; \ |
| test -f $$i.log && test -r $$i.log \ |
| || { echo "$$errmsg $$i.log" >&2; st=1; }; \ |
| done; \ |
| test $$st -eq 0 || exit 1; \ |
| fi |
| @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \ |
| ws='[ ]'; \ |
| results=`for b in $$bases; do echo $$b.trs; done`; \ |
| test -n "$$results" || results=/dev/null; \ |
| all=` grep "^$$ws*:test-result:" $$results | wc -l`; \ |
| pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \ |
| fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \ |
| skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \ |
| xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \ |
| xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \ |
| error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \ |
| if test `expr $$fail + $$xpass + $$error` -eq 0; then \ |
| success=true; \ |
| else \ |
| success=false; \ |
| fi; \ |
| br='==================='; br=$$br$$br$$br$$br; \ |
| result_count () \ |
| { \ |
| if test x"$$1" = x"--maybe-color"; then \ |
| maybe_colorize=yes; \ |
| elif test x"$$1" = x"--no-color"; then \ |
| maybe_colorize=no; \ |
| else \ |
| echo "$@: invalid 'result_count' usage" >&2; exit 4; \ |
| fi; \ |
| shift; \ |
| desc=$$1 count=$$2; \ |
| if test $$maybe_colorize = yes && test $$count -gt 0; then \ |
| color_start=$$3 color_end=$$std; \ |
| else \ |
| color_start= color_end=; \ |
| fi; \ |
| echo "$${color_start}# $$desc $$count$${color_end}"; \ |
| }; \ |
| create_testsuite_report () \ |
| { \ |
| result_count $$1 "TOTAL:" $$all "$$brg"; \ |
| result_count $$1 "PASS: " $$pass "$$grn"; \ |
| result_count $$1 "SKIP: " $$skip "$$blu"; \ |
| result_count $$1 "XFAIL:" $$xfail "$$lgn"; \ |
| result_count $$1 "FAIL: " $$fail "$$red"; \ |
| result_count $$1 "XPASS:" $$xpass "$$red"; \ |
| result_count $$1 "ERROR:" $$error "$$mgn"; \ |
| }; \ |
| { \ |
| echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \ |
| $(am__rst_title); \ |
| create_testsuite_report --no-color; \ |
| echo; \ |
| echo ".. contents:: :depth: 2"; \ |
| echo; \ |
| for b in $$bases; do echo $$b; done \ |
| | $(am__create_global_log); \ |
| } >$(TEST_SUITE_LOG).tmp || exit 1; \ |
| mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \ |
| if $$success; then \ |
| col="$$grn"; \ |
| else \ |
| col="$$red"; \ |
| test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \ |
| fi; \ |
| echo "$${col}$$br$${std}"; \ |
| echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \ |
| echo "$${col}$$br$${std}"; \ |
| create_testsuite_report --maybe-color; \ |
| echo "$$col$$br$$std"; \ |
| if $$success; then :; else \ |
| echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \ |
| if test -n "$(PACKAGE_BUGREPORT)"; then \ |
| echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \ |
| fi; \ |
| echo "$$col$$br$$std"; \ |
| fi; \ |
| $$success || exit 1 |
| |
| check-TESTS: |
| @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list |
| @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list |
| @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| @set +e; $(am__set_TESTS_bases); \ |
| log_list=`for i in $$bases; do echo $$i.log; done`; \ |
| trs_list=`for i in $$bases; do echo $$i.trs; done`; \ |
| log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \ |
| $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \ |
| exit $$?; |
| recheck: all |
| @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| @set +e; $(am__set_TESTS_bases); \ |
| bases=`for i in $$bases; do echo $$i; done \ |
| | $(am__list_recheck_tests)` || exit 1; \ |
| log_list=`for i in $$bases; do echo $$i.log; done`; \ |
| log_list=`echo $$log_list`; \ |
| $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \ |
| am__force_recheck=am--force-recheck \ |
| TEST_LOGS="$$log_list"; \ |
| exit $$? |
| t_timer.log: t_timer$(EXEEXT) |
| @p='t_timer$(EXEEXT)'; \ |
| b='t_timer'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| t_units.log: t_units$(EXEEXT) |
| @p='t_units$(EXEEXT)'; \ |
| b='t_units'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| t_uuid.log: t_uuid$(EXEEXT) |
| @p='t_uuid$(EXEEXT)'; \ |
| b='t_uuid'; \ |
| $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| .test.log: |
| @p='$<'; \ |
| $(am__set_b); \ |
| $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \ |
| --log-file $$b.log --trs-file $$b.trs \ |
| $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \ |
| "$$tst" $(AM_TESTS_FD_REDIRECT) |
| @am__EXEEXT_TRUE@.test$(EXEEXT).log: |
| @am__EXEEXT_TRUE@ @p='$<'; \ |
| @am__EXEEXT_TRUE@ $(am__set_b); \ |
| @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \ |
| @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \ |
| @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \ |
| @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT) |
| |
| distdir: $(DISTFILES) |
| @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| list='$(DISTFILES)'; \ |
| dist_files=`for file in $$list; do echo $$file; done | \ |
| sed -e "s|^$$srcdirstrip/||;t" \ |
| -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ |
| case $$dist_files in \ |
| */*) $(MKDIR_P) `echo "$$dist_files" | \ |
| sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ |
| sort -u` ;; \ |
| esac; \ |
| for file in $$dist_files; do \ |
| if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ |
| if test -d $$d/$$file; then \ |
| dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ |
| if test -d "$(distdir)/$$file"; then \ |
| find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ |
| fi; \ |
| if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ |
| cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \ |
| find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ |
| fi; \ |
| cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ |
| else \ |
| test -f "$(distdir)/$$file" \ |
| || cp -p $$d/$$file "$(distdir)/$$file" \ |
| || exit 1; \ |
| fi; \ |
| done |
| check-am: all-am |
| $(MAKE) $(AM_MAKEFLAGS) check-TESTS |
| check: check-am |
| all-am: Makefile $(LIBRARIES) $(PROGRAMS) $(MANS) $(HEADERS) config.h |
| installdirs: |
| for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(includedir)"; do \ |
| test -z "$$dir" || $(MKDIR_P) "$$dir"; \ |
| done |
| install: install-am |
| install-exec: install-exec-am |
| install-data: install-data-am |
| uninstall: uninstall-am |
| |
| install-am: all-am |
| @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am |
| |
| installcheck: installcheck-am |
| install-strip: |
| if test -z '$(STRIP)'; then \ |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| install; \ |
| else \ |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \ |
| fi |
| mostlyclean-generic: |
| -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS) |
| -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs) |
| -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG) |
| |
| clean-generic: |
| |
| distclean-generic: |
| -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) |
| -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) |
| |
| maintainer-clean-generic: |
| @echo "This command is intended for maintainers to use" |
| @echo "it deletes files that may require special tools to rebuild." |
| clean: clean-am |
| |
| clean-am: clean-binPROGRAMS clean-generic clean-libLIBRARIES \ |
| clean-libtool clean-noinstPROGRAMS mostlyclean-am |
| |
| distclean: distclean-am |
| -rm -rf ./$(DEPDIR) |
| -rm -f Makefile |
| distclean-am: clean-am distclean-compile distclean-generic \ |
| distclean-hdr distclean-tags |
| |
| dvi: dvi-am |
| |
| dvi-am: |
| |
| html: html-am |
| |
| html-am: |
| |
| info: info-am |
| |
| info-am: |
| |
| install-data-am: install-includeHEADERS install-man |
| |
| install-dvi: install-dvi-am |
| |
| install-dvi-am: |
| |
| install-exec-am: install-binPROGRAMS install-libLIBRARIES |
| |
| install-html: install-html-am |
| |
| install-html-am: |
| |
| install-info: install-info-am |
| |
| install-info-am: |
| |
| install-man: install-man1 install-man3 |
| |
| install-pdf: install-pdf-am |
| |
| install-pdf-am: |
| |
| install-ps: install-ps-am |
| |
| install-ps-am: |
| |
| installcheck-am: |
| |
| maintainer-clean: maintainer-clean-am |
| -rm -rf ./$(DEPDIR) |
| -rm -f Makefile |
| maintainer-clean-am: distclean-am maintainer-clean-generic |
| |
| mostlyclean: mostlyclean-am |
| |
| mostlyclean-am: mostlyclean-compile mostlyclean-generic \ |
| mostlyclean-libtool |
| |
| pdf: pdf-am |
| |
| pdf-am: |
| |
| ps: ps-am |
| |
| ps-am: |
| |
| uninstall-am: uninstall-binPROGRAMS uninstall-includeHEADERS \ |
| uninstall-libLIBRARIES uninstall-man |
| |
| uninstall-man: uninstall-man1 uninstall-man3 |
| |
| .MAKE: all check-am install-am install-strip |
| |
| .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \ |
| clean-binPROGRAMS clean-generic clean-libLIBRARIES \ |
| clean-libtool clean-noinstPROGRAMS cscopelist-am ctags \ |
| ctags-am distclean distclean-compile distclean-generic \ |
| distclean-hdr distclean-libtool distclean-tags distdir dvi \ |
| dvi-am html html-am info info-am install install-am \ |
| install-binPROGRAMS install-data install-data-am install-dvi \ |
| install-dvi-am install-exec install-exec-am install-html \ |
| install-html-am install-includeHEADERS install-info \ |
| install-info-am install-libLIBRARIES install-man install-man1 \ |
| install-man3 install-pdf install-pdf-am install-ps \ |
| install-ps-am install-strip installcheck installcheck-am \ |
| installdirs maintainer-clean maintainer-clean-generic \ |
| mostlyclean mostlyclean-compile mostlyclean-generic \ |
| mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \ |
| uninstall uninstall-am uninstall-binPROGRAMS \ |
| uninstall-includeHEADERS uninstall-libLIBRARIES uninstall-man \ |
| uninstall-man1 uninstall-man3 |
| |
| |
| # Tell versions [3.59,3.63) of GNU make to not export all variables. |
| # Otherwise a system limit (for SysV at least) may be exceeded. |
| .NOEXPORT: |